{% extends "base/baseadmin.html" %}

{% block title %}Lista de conductores y transporte{% endblock title %}

{% block content %}
<div class="container text-center">
  <h1>Lista de conductores y transportes:</h1>
    <a href="{% url 'core:conductortransporte_create' %}" class="btn btn-outline-dark form-control">Registra un nuevo conductor y transporte</a>

    <style>
      /* Aplicar color blanco al texto dentro de la tabla */
      .table.text-white td,
      .table.text-white th {
        color: white;
      }
    </style>
   
    <table class="table table-striped table-hover text-white mt-3">
      <thead>
            <th>Numero de conductor</th>
            <th>Numero de transporte</th>
            <th>Fecha de inicio</th>
            <th>Fecha de finalización</th>
                <th>Acciones</th>


        </thead>
        <tbody>
            {% for ConductoresTransp in conductortransporte %}  
                <tr>
                    <td>{{ ConductoresTransp.conductor }}</td>
                    <td>{{ ConductoresTransp.transporte }}</td>
                    <td>{{ ConductoresTransp.fechainicio }}</td>
                    <td>{{ ConductoresTransp.fechafinal }}</td>
                    <td><a href="{% url 'core:conductortransporte_delete' pk=ConductoresTransp.conductor.pk %}" class="btn btn-outline-light">Eliminar</a></td>

                </tr>
            {% endfor %}
        </tbody>
        
    </table>
  </div>
{% endblock content %}